Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.extensions
Class SpringExtensionsRegistry

    java.lang.Object
      net.sf.jasperreports.extensions.SpringExtensionsRegistry

All Implemented Interfaces:
  ExtensionsRegistry

    public class SpringExtensionsRegistry

extends java.lang.Object
implements ExtensionsRegistry

An `extension registry` which works by looking for beans of a specific extension type in a Spring beans factory.

Version:
  $Id: SpringExtensionsRegistry.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`SpringExtensionsRegistry(org.springframework.beans.factory.ListableBeanFactory beanFactory)` Creates a Spring-based extension registry.

Method Summary
`protected java.lang.String[]` | `findExtensionBeanNames(java.lang.Class extensionType)`
`protected java.lang.String[]` | `getExtensionBeanNames(java.lang.Class extensionType)`
`java.util.List` | `getExtensions(java.lang.Class extensionType)` Returns all beans that match the extension class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringExtensionsRegistry

    public SpringExtensionsRegistry(org.springframework.beans.factory.ListableBeanFactory beanFactory)

  Creates a Spring-based extension registry.

  Parameters:
    `beanFactory` - the Spring bean factory

Method Detail

### getExtensions

    public java.util.List getExtensions(java.lang.Class extensionType)

  Returns all beans that match the extension class.

  Specified by:
    `getExtensions` in interface `ExtensionsRegistry`
  Parameters:
    `extensionType` - the extension type
  Returns:
    a list of extension objects

### getExtensionBeanNames

    protected java.lang.String[] getExtensionBeanNames(java.lang.Class extensionType)

### findExtensionBeanNames

    protected java.lang.String[] findExtensionBeanNames(java.lang.Class extensionType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com